[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.IntfDoSelect

Performs actions needed when the menu item is selected using the LCL interface.

## Declaration

Source position: menus.pp line 274

`public procedure TMenuItem.IntfDoSelect; virtual;`

## Description

Forces the Application to display the Hint for the active menu item.

## See also

TApplication.Hint |  | The current Hint text active for the application.
Application |  | The TApplication singleton.
GetLongHint |  | Returns the long version of a Hint string.